package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.LevelCondition;
import com.YuyeTech.TPlat.dataobject.LevelHonor;
import com.YuyeTech.TPlat.dataobject.LevelJump;
import com.YuyeTech.TPlat.dto.LevelConditionDTO;
import com.YuyeTech.TPlat.dto.LevelHonorDTO;
import com.YuyeTech.TPlat.dto.LevelJumpDTO;
import org.springframework.data.domain.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author:slambb
 * @date:2021/8/4
 */
public interface LevelJumpService {

    List<LevelJump> findLevelJumpsByNumberType(Integer numberType, Sort.Direction direction);

    List<LevelJumpDTO> findLevelJumpDTOsByNumberType(Integer numberType, Sort.Direction direction);

    Map  findLevelJumpsAll(String userId);

    List<LevelJump> findLevelJumpsAll();

    LevelJump findById(Integer id);

    //查询全部条件，包括解锁和通关
    List<LevelCondition> findAllLevelCondition();
    //查询全部荣誉
    List<LevelHonor> findAllLevelHonor();
}
